org.apache.maven.scm.provider.git.command.info

## Class GitInfoItem

- java.lang.Object
- - org.apache.maven.scm.provider.git.command.info.GitInfoItem

-     public class GitInfoItem
      extends Object

  Version:
    $Id: GitInfoItem.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Kenney Westerhof

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitInfoItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLastChangedAuthor()`
    `String` | `getLastChangedDate()`
    `String` | `getLastChangedRevision()`
    `String` | `getNodeKind()`
    `String` | `getPath()`
    `String` | `getRepositoryRoot()`
    `String` | `getRepositoryUUID()`
    `String` | `getRevision()`
    `String` | `getSchedule()`
    `String` | `getURL()`
    `void` | `setLastChangedAuthor(String lastChangedAuthor)`
    `void` | `setLastChangedDate(String lastChangedDate)`
    `void` | `setLastChangedRevision(String lastChangedRevision)`
    `void` | `setNodeKind(String nodeKind)`
    `void` | `setPath(String path)`
    `void` | `setRepositoryRoot(String repositoryRoot)`
    `void` | `setRepositoryUUID(String repositoryUUID)`
    `void` | `setRevision(String revision)`
    `void` | `setSchedule(String schedule)`
    `void` | `setURL(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GitInfoItem

          public GitInfoItem()

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getURL

          public String getURL()

    - #### setURL

          public void setURL(String url)

    - #### getRepositoryRoot

          public String getRepositoryRoot()

    - #### setRepositoryRoot

          public void setRepositoryRoot(String repositoryRoot)

    - #### getRepositoryUUID

          public String getRepositoryUUID()

    - #### setRepositoryUUID

          public void setRepositoryUUID(String repositoryUUID)

    - #### getRevision

          public String getRevision()

    - #### setRevision

          public void setRevision(String revision)

    - #### getNodeKind

          public String getNodeKind()

    - #### setNodeKind

          public void setNodeKind(String nodeKind)

    - #### getSchedule

          public String getSchedule()

    - #### setSchedule

          public void setSchedule(String schedule)

    - #### getLastChangedAuthor

          public String getLastChangedAuthor()

    - #### setLastChangedAuthor

          public void setLastChangedAuthor(String lastChangedAuthor)

    - #### getLastChangedRevision

          public String getLastChangedRevision()

    - #### setLastChangedRevision

          public void setLastChangedRevision(String lastChangedRevision)

    - #### getLastChangedDate

          public String getLastChangedDate()

    - #### setLastChangedDate

          public void setLastChangedDate(String lastChangedDate)

Copyright © 2003–2015. All rights reserved.